#!/usr/bin/python3
# -*- coding: utf-8; py-indent-offset: 4 -*-


#  +-- bmSearch ------------------------------------------------------------------+
#  |                                                                              |
#  |  _                 _____                          _                          |
#  | | |               / ____|                        | |                         | 
#  | | |___  _ __ ___ | |____    ___  ____   _ _  ___ | |__                       |
#  | |  _  \| '_ ` _ \ \___  \  / _ \|___ \ | `_|/ __||  _  \                     | 
#  | | |_| || | | | | |____|  ||  __// __  || | | |__ | | | |                     |
#  | |_____/|_| |_| |_|______/  \___|\____/ |_|  \___||_| |_|                     |
#  |                                                                              |
#  |                                                                              |
#  +------------------------------------------------------------------------------+
#
# * ----------------------------------------------------------------------------------------*
# * @author  : Pascal SALAUN <pascal.salaun-AT-bm-monitor.org>                              *
# * @Website : http://www.bm-monitor.org <http://www.bm-monitor.org>                        *
# * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>    *
# *                                                                                         *
# * bmSearch is free software;  you can redistribute it and/or modify it under the          *
# *  terms of the  license mentionned above.                                                *
# * bmSearch is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY    * 
# * ----------------------------------------------------------------------------------------*

# Native Python Lib/Class 
import os.path 
import sys

sys.path.insert(0 ,'/etc/bmSearch')
sys.path.insert(0 ,'/usr/share/bmSearch/inc')
sys.path.insert(0 ,'/usr/share/bmSearch/class')

from bmSearch import *
from jobEveryMin import *

if __name__ == '__main__': 
        """
        Main Programm
        """
        # If no kwargs set to init bmSearch(), the Programm will not store data in Elasticsearch
        # if you want to activate it  : action="storeToELK"
        # if you to stream a log file : method="stream"
        # if tou want to specify another logfile : file="/var/log/dudulle.log"
        
        j = jobEveryMin()
        j.setParam(method="stream")
        j.connectToDb()
        j.storeFromQueueObjToELK()
